Summary: binutils for compiling Win32 applications
Name: mingw-binutils
Version: 2.13.90.20030111.1
Release: 2
License: GPL
Group: Development/Win32
Packager: H. Peter Anvin <hpa@zytor.com>
URL: http://www.mingw.org/
Source0: ftp://ftp.sourceforge.net/pub/sourceforge/mingw/binutils-2.13.90-20030111-1-src.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes: mingw32-binutils

%define _target_platform i386-pc-mingw32
%define _prefix /usr/mingw
%define _mandir %{_prefix}/man
%define _infodir %{_prefix}/info

%description
MinGW (Minimal GNU for Win32) is a collection of GNU development tools
to produce Win32 binaries.  This is MinGW installed as a
cross-development environment under Linux.

The binutils contains the necessary tools to manipulate object files
and archives.

%prep
%setup -q -n binutils-2.13.90-20030111-1-src
%configure --enable-shared

%build
make %{_smp_mflags} tooldir="%{_prefix}"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_prefix}
%makeinstall
# Not actually a target binary (lib/libiberty.a)
rm -rf %{buildroot}/%{_prefix}/lib
# Adjust stuff to make gcc happy
mv %{buildroot}/%{_prefix}/%{_target_platform}/lib %{buildroot}/%{_prefix}
# Redundant
rm -rf %{buildroot}/%{_prefix}/%{_target_platform}
# Comes from gcc
rm -rf %{buildroot}/%{_prefix}/bin/c++filt
# gcc needs this
( cd %{buildroot}/%{_prefix} && ln -s . %{_target_platform} )
# Make available to user
mkdir -p %{buildroot}/usr/bin
( cd %{buildroot}/usr/bin
  for a in ../mingw/bin/* ; do
    ln $a mingw-`basename $a`
  done
)
# Generated at install time
rm -f %{buildroot}/%{_infodir}/dir
# Not done automatically for some reason...
gzip -9 %{buildroot}/%{_infodir}/*

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/as.info.gz
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/bfd.info.gz
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/binutils.info.gz
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/configure.info.gz
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/ld.info.gz
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/standards.info.gz

%preun
if [ $1 = 0 ] ;then
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/as.info.gz
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/bfd.info.gz
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/binutils.info.gz
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/configure.info.gz
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/ld.info.gz
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/standards.info.gz
fi

%files
%defattr(-,root,root,-)
%{_prefix}/bin
%{_prefix}/lib
%{_prefix}/share
%{_prefix}/%{_host}
%{_prefix}/%{_target_platform}
/usr/bin/mingw-*
%doc %{_infodir}
%doc %{_mandir}

%changelog
* Thu Jul 10 2003 H. Peter Anvin <hpa@zytor.com> 2.13.90.20030111.1-2
- Changed mingw32 to mingw

* Sun Mar 30 2003 H. Peter Anvin <hpa@zytor.com> 2.13.90.20030111.1-1
- Initial build.
